uhd_usrp_probe(1)

NAME
uhd_usrp_probe - USRP Hardware Driver Peripheral Report Utility

DESCRIPTION
Report detailed information on UHD-supported Software Radio Peripherals attached by USB, network, or embedded configuration.

The UHD package is the universal hardware driver for Ettus Research products. The goal is to provide a host driver and API for current and future Ettus Research products. Users will be able to use the UHD driver standalone or with 3rd party applications.

Details include unit names, revision numbers, and available sensors on all attached USRP motherboards and daughterboards.

SYNOPSIS
uhd_usrp_probe [OPTIONS]

OPTIONS

Device Address Arguments:
    --args arg

Print a complete property tree:
    --tree

Query a string value from the properties tree:
    --string arg

Print the version string and exit:
    --version

This help information:
    --help

IDENTIFYING USRP DEVICES

Devices are addressed through key/value string pairs. These string pairs can be used to narrow down the search for a specific device or group of devices. Most UHD utility applications and examples have a --args parameter that takes a device address, where the device address is expressed as a delimited string. See the documentation in types/device_addr.hpp for reference. Every device has several ways of identifying it on the host system.

  Identifying by hardware identifier

All USRP devices can be found through their hardware series identifier, which match to USRP devices as follows: Argument | Device type=usrp1 | USRP1 type=usrp2 | USRP2, USRP N200, USRP N210 type=b100 | USRP B100 type=e100 | USRP E100, USRP E110

  Identifying by serial number
All USRP devices are given a unique serial number, which can be used to identify a device as follows: serial=12345678

  Identifying by IP address
USRP2, USRP N200, and USRP N210 devices connected to the host machine can all be found through their IP addresses, as follows: addr=192.168.10.2

  Identifying by name
Users have the option of giving their USRP devices short names using the usrp_burn_mb_eeprom utility in lib/uhd/utils. Devices that have been given a name can be identified as follows: name=foo

EXAMPLES

  Device discovery via command line

Device address arguments can be supplied to narrow the scope of the search.

uhd_usrp_probe --args="type=usrp1"
-- OR --
uhd_usrp_probe --args="serial=12345678"

Find all devices available to this system:
    uhd_usrp_probe

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_find_devices(1)

AUTHOR
This manual page was written by Maitland Bottoms and Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2010 Ettus Research LLC

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.